
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSIdentification3Result complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSIdentification3Result"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Vehicle" type="{http://samo.cz/iva/}WSVehicleType" minOccurs="0"/&gt;
 *         &lt;element name="Valuation" type="{http://samo.cz/iva/}WSValuation" minOccurs="0"/&gt;
 *         &lt;element name="Forecast12" type="{http://samo.cz/iva/}WSForecast" minOccurs="0"/&gt;
 *         &lt;element name="Forecast24" type="{http://samo.cz/iva/}WSForecast" minOccurs="0"/&gt;
 *         &lt;element name="Forecast36" type="{http://samo.cz/iva/}WSForecast" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSIdentification3Result", propOrder = {
    "vehicle",
    "valuation",
    "forecast12",
    "forecast24",
    "forecast36"
})
public class WSIdentification3Result {

    @XmlElement(name = "Vehicle", nillable = true)
    protected WSVehicleType vehicle;
    @XmlElement(name = "Valuation", nillable = true)
    protected WSValuation valuation;
    @XmlElement(name = "Forecast12", nillable = true)
    protected WSForecast forecast12;
    @XmlElement(name = "Forecast24", nillable = true)
    protected WSForecast forecast24;
    @XmlElement(name = "Forecast36", nillable = true)
    protected WSForecast forecast36;

    /**
     * Gets the value of the vehicle property.
     * 
     * @return
     *     possible object is
     *     {@link WSVehicleType }
     *     
     */
    public WSVehicleType getVehicle() {
        return vehicle;
    }

    /**
     * Sets the value of the vehicle property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSVehicleType }
     *     
     */
    public void setVehicle(WSVehicleType value) {
        this.vehicle = value;
    }

    /**
     * Gets the value of the valuation property.
     * 
     * @return
     *     possible object is
     *     {@link WSValuation }
     *     
     */
    public WSValuation getValuation() {
        return valuation;
    }

    /**
     * Sets the value of the valuation property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSValuation }
     *     
     */
    public void setValuation(WSValuation value) {
        this.valuation = value;
    }

    /**
     * Gets the value of the forecast12 property.
     * 
     * @return
     *     possible object is
     *     {@link WSForecast }
     *     
     */
    public WSForecast getForecast12() {
        return forecast12;
    }

    /**
     * Sets the value of the forecast12 property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSForecast }
     *     
     */
    public void setForecast12(WSForecast value) {
        this.forecast12 = value;
    }

    /**
     * Gets the value of the forecast24 property.
     * 
     * @return
     *     possible object is
     *     {@link WSForecast }
     *     
     */
    public WSForecast getForecast24() {
        return forecast24;
    }

    /**
     * Sets the value of the forecast24 property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSForecast }
     *     
     */
    public void setForecast24(WSForecast value) {
        this.forecast24 = value;
    }

    /**
     * Gets the value of the forecast36 property.
     * 
     * @return
     *     possible object is
     *     {@link WSForecast }
     *     
     */
    public WSForecast getForecast36() {
        return forecast36;
    }

    /**
     * Sets the value of the forecast36 property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSForecast }
     *     
     */
    public void setForecast36(WSForecast value) {
        this.forecast36 = value;
    }

    public WSIdentification3Result withVehicle(WSVehicleType value) {
        setVehicle(value);
        return this;
    }

    public WSIdentification3Result withValuation(WSValuation value) {
        setValuation(value);
        return this;
    }

    public WSIdentification3Result withForecast12(WSForecast value) {
        setForecast12(value);
        return this;
    }

    public WSIdentification3Result withForecast24(WSForecast value) {
        setForecast24(value);
        return this;
    }

    public WSIdentification3Result withForecast36(WSForecast value) {
        setForecast36(value);
        return this;
    }

}
